Sonic Visualiser - Bug #1797
Should probably restrict Colour3DPlotLayer range in log mode to 80dB (or 100dB? or ...?)
2017-02-23 09:44 AM - Chris Cannam
Description

The log mode display for Colour3DPlotLayer can get rather murky if the underlying model has some very small non-zero values in it.
We should probably clamp it to a range.

Best thing may be to follow whatever it is the spectrogram layer does by default.

History

#1 - 2017-02-28 04:32 PM - Chris Cannam

- Status changed from New to Resolved

OK, fixed it to 10 orders of magnitude, as that is what applies when the min is 0 and the threshold kicks in (see #1796).

#2 - 2017-03-03 12:01 PM - Chris Cannam
- Status changed from Resolved to Closed
